# UserCommand.py
# This is the python module that can be used to extend PyPal by having dynamic functions loaded and run at runtime.
# Each function must have same declaration <func name>(obj, argv)
# obj is the Main frame object to allow stuff to be done to it
# argv is a lits of parameters with argv[0] being the function name itself.
# call within PyPal : $$<func name> [[arg1] [arg2] [...]]

def Info(obj, argv):
	"""Prints All routines in UserCommands.py and their doc string"""
	import UserCommands
	object = UserCommands
	spacing=10
	collapse=1
	methodList = [method for method in dir(object) if callable(getattr(object, method))]
	processFunc = collapse and (lambda s: " ".join(s.split())) or (lambda s: s)
	print "\n".join(["%s %s" %
	(method.ljust(spacing),
	processFunc(str(getattr(object, method).__doc__)))
	for method in methodList])


def Test( obj, argv):
	""" A simple Test routine only"""
	obj.OutText.AppendText( "\n UserCommand Test Function ok...\n>>>" )

	

def TestP(obj, orgv):
	print "TestP OK..."
	

def Edit( obj, argv ):
	"""Load a file into EditPlus"""
	import os
	os.system('"c:\\Program Files\\editplus 2\\editplus.exe" ' + argv[1])

def shedit( obj, argv):
	"""Edit a remote file, using SFTP and EditPlus"""
	import os
	os.system('"c:\\Program Files\\editplus 2\\editplus.exe" ' + 'ftp(5)porkeeka.com:' + argv[1])

def HelloWorld(obj, argv):
	print "Hello World"
